import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRMessagesClusterMessagePresentedEvent extends _NSObject {
    static alloc(): _MTRMessagesClusterMessagePresentedEvent;
    static new(): _MTRMessagesClusterMessagePresentedEvent;
    init(): _MTRMessagesClusterMessagePresentedEvent;
    messageID(): _NSData;
    setMessageID$(value: _NSData): void;
}
export interface _MTRMessagesClusterMessagePresentedEvent extends _NSCopying {
}
